-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT

-- create the database:
create database @DB_NAME@ automatic storage yes  using codeset UTF-8 territory US pagesize 32768;

-- connect to the created database:
connect to @DB_NAME@;

-- A user temporary table space is required to run stored procedures delivered with IBM BPM.
-- If you use DB2 V9, a user temporary table space is created automatically and you may disable the following statement to create.
CREATE USER TEMPORARY TABLESPACE USRTMPSPC1;

-- The following grant is used for databases without enhanced security.
-- For more information, review the Info Center for Enhancing Security for DB2.
grant dbadm on database to user @DB_USER@;
UPDATE DB CFG FOR @DB_NAME@ USING LOGFILSIZ 4096 DEFERRED;
UPDATE DB CFG FOR @DB_NAME@ USING LOGSECOND 64 DEFERRED;

connect reset;
